> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-postgresql-tls-support.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update organization member

> Updates organization member role.

Updates organization member role.


## OpenAPI

````yaml /_specs/cloud-openapi.json patch /v1/organizations/{organizationId}/members/{userId}
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-910487
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
paths:
  /v1/organizations/{organizationId}/members/{userId}:
    patch:
      tags:
        - User management
      summary: Update organization member
      description: Updates organization member role.
      operationId: memberUpdate
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization the member is part of.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: userId
          description: ID of the user to patch
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberPatchRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    $ref: '#/components/schemas/Member'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    MemberPatchRequest:
      properties:
        role:
          description: >-
            DEPRECATED. Use `assignedRoleIds` instead. Role of the member in the
            organization.
          type: string
          enum:
            - admin
            - developer
          deprecated: true
        assignedRoleIds:
          type: array
          description: List of role IDs to assign to the member
          items:
            type: string
    Member:
      properties:
        userId:
          description: >-
            Unique user ID. If a user is a member in multiple organizations this
            ID will stay the same.
          type: string
        name:
          description: Name of the member as set a personal user profile.
          type: string
        email:
          description: Email of the member as set in personal user profile.
          type: string
          format: email
        role:
          description: >-
            DEPRECATED. Use `assignedRoles` instead. Role of the member in the
            organization. For organizations that have migrated to custom roles,
            this field is frozen at the pre-migration value and does not reflect
            current role assignments.
          type: string
          enum:
            - admin
            - developer
          deprecated: true
        joinedAt:
          description: Timestamp the member joined the organization. ISO-8601.
          type: string
          format: date-time
        assignedRoles:
          type: array
          description: Custom roles and System roles assigned to this member
          items:
            $ref: '#/components/schemas/AssignedRole'
    AssignedRole:
      properties:
        roleId:
          description: Unique identifier of the role
          type: string
          format: uuid
        roleName:
          description: Human-readable name of the role
          type: string
        roleType:
          description: 'Type of role: system (predefined) or custom (organization-defined)'
          type: string
          enum:
            - system
            - custom
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````